# Class DiskFileItem.Builder

java.lang.Object
org.apache.commons.io.build.AbstractSupplier<DiskFileItem, DiskFileItem.Builder>
org.apache.commons.io.build.AbstractOriginSupplier<DiskFileItem, DiskFileItem.Builder>
org.apache.commons.io.build.AbstractStreamBuilder<DiskFileItem, DiskFileItem.Builder>
org.apache.commons.fileupload2.core.FileItemFactory.AbstractFileItemBuilder<DiskFileItem, DiskFileItem.Builder>
org.apache.commons.fileupload2.core.DiskFileItem.Builder

All Implemented Interfaces:
  `org.apache.commons.io.function.IOSupplier<DiskFileItem>`

Enclosing class:
  `DiskFileItem`

public static class DiskFileItem.Builder extends FileItemFactory.AbstractFileItemBuilder<DiskFileItem, DiskFileItem.Builder>
Builds a new `DiskFileItem` instance.

For example:

    final FileItem fileItem = fileItemFactory.fileItemBuilder()
      .setFieldName("FieldName")
      .setContentType("ContentType")
      .setFormField(true)
      .setFileName("FileName")
      .setFileItemHeaders(...)
      .get();

## Constructor Summary

Constructors
Constructor
Description
`Builder()`
Constructs a new instance.

## Method Summary

Modifier and Type
Method
Description
`DiskFileItem`
`get()`
Constructs a new instance.
`int`
`getBufferSize()`
Deprecated.
Since 2.0.0, use `getThreshold()` instead.
`int`
`getThreshold()`
Returns the threshold.
`DiskFileItem.Builder`
`setBufferSize(int bufferSize)`
Deprecated.
Since 2.0.0, use `setThreshold(int)` instead.
`DiskFileItem.Builder`
`setThreshold(int threshold)`
Sets the threshold.

### Methods inherited from class FileItemFactory.AbstractFileItemBuilder

`getContentType, getFieldName, getFileCleaningTracker, getFileItemHeaders, getFileName, isFormField, newFileItemHeaders, setContentType, setFieldName, setFileCleaningTracker, setFileItemHeaders, setFileName, setFormField`

### Methods inherited from class org.apache.commons.io.build.AbstractStreamBuilder

`getBufferSizeDefault, getByteArray, getChannel, getCharSequence, getCharset, getCharsetDefault, getFile, getInputStream, getOpenOptions, getOutputStream, getPath, getRandomAccessFile, getReader, getWriter, setBufferSize, setBufferSizeChecker, setBufferSizeDefault, setBufferSizeMax, setCharset, setCharset, setCharsetDefault, setOpenOptions`

### Methods inherited from class org.apache.commons.io.build.AbstractOriginSupplier

`checkOrigin, getOrigin, hasOrigin, newByteArrayOrigin, newChannelOrigin, newCharSequenceOrigin, newFileOrigin, newFileOrigin, newInputStreamOrigin, newOutputStreamOrigin, newPathOrigin, newPathOrigin, newRandomAccessFileOrigin, newRandomAccessFileOrigin, newReaderOrigin, newURIOrigin, newWriterOrigin, setByteArray, setChannel, setCharSequence, setFile, setFile, setInputStream, setOrigin, setOutputStream, setPath, setPath, setRandomAccessFile, setRandomAccessFile, setReader, setURI, setWriter`

### Methods inherited from class org.apache.commons.io.build.AbstractSupplier

`asThis`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.commons.io.function.IOSupplier

`asSupplier, getUnchecked`

## Constructor Details

### Builder

public Builder()
Constructs a new instance.

## Method Details

### get

public DiskFileItem get()
Constructs a new instance.

You must provide an origin that can be converted to a Reader by this builder, otherwise, this call will throw an `UnsupportedOperationException`.

Returns:
  a new instance.
Throws:
  `UnsupportedOperationException` - if the origin cannot provide a Path.
See Also:
  - `AbstractOrigin.getReader(Charset)`

### getBufferSize

public int getBufferSize()
Deprecated.
Since 2.0.0, use `getThreshold()` instead.
Equivalent to `getThreshold()`.

Overrides:
  `getBufferSize` in class `org.apache.commons.io.build.AbstractStreamBuilder<DiskFileItem, DiskFileItem.Builder>`
Returns:
  The threshold, which is being used.
See Also:
  - `getThreshold()`

### getThreshold

public int getThreshold()
Returns the threshold.

Returns:
  The threshold.

### setBufferSize

public DiskFileItem.Builder setBufferSize(int bufferSize)
Deprecated.
Since 2.0.0, use `setThreshold(int)` instead.
Equivalent to `setThreshold(int)`.

Overrides:
  `setBufferSize` in class `org.apache.commons.io.build.AbstractStreamBuilder<DiskFileItem, DiskFileItem.Builder>`
Parameters:
  `bufferSize` - The threshold, which is being used.
Returns:
  This builder.
See Also:
  - `setThreshold(int)`

### setThreshold

public DiskFileItem.Builder setThreshold(int threshold)
Sets the threshold. The uploaded data is typically kept in memory, until a certain number of bytes (the threshold) is reached. At this point, the incoming data is transferred to a temporary file, and the in-memory data is removed.

Parameters:
  `threshold` - The threshold, which is being used.
Returns:
  This builder.